package com.liangjian.dataplatform.member.entity.po.secondary;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;

import java.util.List;

/**
 * @author 黄树文
 * @date 2020/4/3 14:14
 */
@ApiModel("会员数据筛选条件")
public class MemberDataFilter {
    @ApiParam(value = "页数")
    private Integer pageIndex;
    @ApiParam(value = "每页数量")
    private Integer pageSize;
    @ApiParam(value = "条件")
    private List<Tags> selectedTags;

    @ApiParam(value = "月份")
    private String selectedMonth;

    @ApiParam(value = "终端")
    private List<Terminal> selectedTerminal;

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<Tags> getSelectedTags() {
        return selectedTags;
    }

    public void setSelectedTags(List<Tags> selectedTags) {
        this.selectedTags = selectedTags;
    }

    public String getSelectedMonth() {
        return selectedMonth;
    }

    public void setSelectedMonth(String selectedMonth) {
        this.selectedMonth = selectedMonth;
    }

    public List<Terminal> getSelectedTerminal() {
        return selectedTerminal;
    }

    public void setSelectedTerminal(List<Terminal> selectedTerminal) {
        this.selectedTerminal = selectedTerminal;
    }

    @Override
    public String toString() {
        return "MemberDataFilter{" +
                "pageIndex=" + pageIndex +
                ", pageSize=" + pageSize +
                ", selectedTags=" + selectedTags +
                ", selectedMonth='" + selectedMonth + '\'' +
                ", selectedTerminal=" + selectedTerminal +
                '}';
    }
}